package bicicleta;

public class Bicicleta {

    // Atributos
    private double velocidade;
    private String cor;
    private int marchaAtual = 10;

    // Métodos
    public void frearDianteiro(double intensidade) {
        velocidade = (1 - intensidade/100) * velocidade  ;
    }
    public void definirVelocidade(double v) {
        velocidade = v;
    }
    public void acelerar(double v) {
        velocidade += v;
    }
    public String obterCor() {
        return cor;
    }
    public void diminuirMarcha(int v) {
        if(marchaAtual - v > 0)
            marchaAtual -= v;
        else System.out.println("Não vou diminuir, pois estou na marcha 0...");
    }
    public int obterMarchaAtual(){
        return marchaAtual;
    }
    public double obterVelocidade() {
        return velocidade;
    }
}
